<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionAttachWithSwich.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d41/_action_attach_with_swich_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionAttachWithSwich.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d41/_action_attach_with_swich_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/db6/class_action_attach_with_switch.html">ActionAttachWithSwitch</a>: <a class="code hl_function" href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#a10e8ba640111d5d9bad26fdd55d85401">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#a10e8ba640111d5d9bad26fdd55d85401">ActionAttachWithSwitch</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    }</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#a706e58bb2a8176baf01baa204366eacf">    7</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#a706e58bb2a8176baf01baa204366eacf">CreateConditionComponents</a>() </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>( <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> );</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_CommandUID = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_ATTACHITEM;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#aa28934575d77d6f10f0bd38590b10440">   15</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#aa28934575d77d6f10f0bd38590b10440">GetInputType</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d70/class_inventory_only_action_input.html">InventoryOnlyActionInput</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#a5cc33184365b4301f4ed5b6418a5c9bc">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#a5cc33184365b4301f4ed5b6418a5c9bc">CanBePerformedFromInventory</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#aafcbb2eac66f6dc53770c9e29c6ab39d">   25</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#aafcbb2eac66f6dc53770c9e29c6ab39d">CreateActionData</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a> action_data = <span class="keyword">new</span> <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> action_data;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#abe3d5e6f94d66095fc20e9105831d195">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#abe3d5e6f94d66095fc20e9105831d195">SetupAction</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data = NULL)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        ref <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_entity;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">if</span> ( target.IsProxy() )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                target_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( target.GetParent() );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                target_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">if</span> (!target_entity.GetInventory().FindFreeLocationFor( item, <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#a71733d54d455853550df7ae602bf23dd">FindInventoryLocationType</a>.ATTACHMENT, il ))</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( super.SetupAction( player, target, item, action_data, extra_data))</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a> action_data_a = <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                action_data_a.<a class="code hl_variable" href="../../da/df2/class_attach_action_data.html#aa7673d52d41aef3acd5797c55cf4355a">m_AttSlot</a> = il.GetSlot();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#a563a42e3f501bc69af0a3627bbd306b0">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#a563a42e3f501bc69af0a3627bbd306b0">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span>( !item.CanSwitchDuringAttach(target_entity) )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> ( target_entity &amp;&amp; item )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">if</span> ( target_entity.GetInventory() &amp;&amp; target_entity.GetInventory().CanAddAttachment( item ) )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        }   </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#aac5c8d22073435f265411ef56b71093a">   80</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#aac5c8d22073435f265411ef56b71093a">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a>(action_data);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a> action_data_a = <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_EAI;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.IsProxy() )</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            target_EAI = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent() ); <span class="comment">// cast to ItemBase</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            target_EAI = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() ); <span class="comment">// cast to ItemBase</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">if</span> (target_EAI &amp;&amp; action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>)</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            ref <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">SetAttachment</a>( target_EAI, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, action_data_a.<a class="code hl_variable" href="../../da/df2/class_attach_action_data.html#aa7673d52d41aef3acd5797c55cf4355a">m_AttSlot</a> );</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveForceSwapEntities( target_EAI, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, il );</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d8/db6/class_action_attach_with_switch.html#a29f4fc3909e396ecde821e145ab4e385">  106</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/db6/class_action_attach_with_switch.html#a29f4fc3909e396ecde821e145ab4e385">OnExecuteClient</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a>(action_data);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a> action_data_a = <a class="code hl_class" href="../../da/df2/class_attach_action_data.html">AttachActionData</a>.Cast(action_data);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_EAI;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span> ( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.IsProxy() )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            target_EAI = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetParent() ); <span class="comment">// cast to ItemBase</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            target_EAI = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() ); <span class="comment">// cast to ItemBase</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordflow">if</span> (target_EAI &amp;&amp; action_data_a.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            ref <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">SetAttachment</a>( target_EAI, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, action_data_a.<a class="code hl_variable" href="../../da/df2/class_attach_action_data.html#aa7673d52d41aef3acd5797c55cf4355a">m_AttSlot</a> );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.PredictiveForceSwapEntities( target_EAI, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>, il );</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>}</div>
<div class="ttc" id="a_action_attach_8c_html_a160ebb3b520d6eb3dd1fbbdb362cc951"><div class="ttname"><a href="../../d4/dd1/_action_attach_8c.html#a160ebb3b520d6eb3dd1fbbdb362cc951">ActionAttach</a></div><div class="ttdeci">AttachActionData ActionData ActionAttach()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/_action_attach_8c_source.html#l00001">ActionAttach.c:9</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a8a336c2b2c1543ef65130b3f4fdeca66"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a8a336c2b2c1543ef65130b3f4fdeca66">ClearInventoryReservationEx</a></div><div class="ttdeci">void ClearInventoryReservationEx(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00830">ActionBase.c:830</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_inventory_location_8c_html_a71733d54d455853550df7ae602bf23dd"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#a71733d54d455853550df7ae602bf23dd">FindInventoryLocationType</a></div><div class="ttdeci">FindInventoryLocationType</div><div class="ttdoc">flags for searching locations in inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00015">InventoryLocation.c:16</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html">ActionAttachWithSwitch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00001">ActionAttachWithSwich.c:2</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_a10e8ba640111d5d9bad26fdd55d85401"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#a10e8ba640111d5d9bad26fdd55d85401">ActionAttachWithSwitch::ActionAttachWithSwitch</a></div><div class="ttdeci">void ActionAttachWithSwitch()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00003">ActionAttachWithSwich.c:3</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_a29f4fc3909e396ecde821e145ab4e385"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#a29f4fc3909e396ecde821e145ab4e385">ActionAttachWithSwitch::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00106">ActionAttachWithSwich.c:106</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_a563a42e3f501bc69af0a3627bbd306b0"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#a563a42e3f501bc69af0a3627bbd306b0">ActionAttachWithSwitch::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00064">ActionAttachWithSwich.c:64</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_a5cc33184365b4301f4ed5b6418a5c9bc"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#a5cc33184365b4301f4ed5b6418a5c9bc">ActionAttachWithSwitch::CanBePerformedFromInventory</a></div><div class="ttdeci">override bool CanBePerformedFromInventory()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00020">ActionAttachWithSwich.c:20</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_a706e58bb2a8176baf01baa204366eacf"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#a706e58bb2a8176baf01baa204366eacf">ActionAttachWithSwitch::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00007">ActionAttachWithSwich.c:7</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_aa28934575d77d6f10f0bd38590b10440"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#aa28934575d77d6f10f0bd38590b10440">ActionAttachWithSwitch::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00015">ActionAttachWithSwich.c:15</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_aac5c8d22073435f265411ef56b71093a"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#aac5c8d22073435f265411ef56b71093a">ActionAttachWithSwitch::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00080">ActionAttachWithSwich.c:80</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_aafcbb2eac66f6dc53770c9e29c6ab39d"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#aafcbb2eac66f6dc53770c9e29c6ab39d">ActionAttachWithSwitch::CreateActionData</a></div><div class="ttdeci">override ActionData CreateActionData()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00025">ActionAttachWithSwich.c:25</a></div></div>
<div class="ttc" id="aclass_action_attach_with_switch_html_abe3d5e6f94d66095fc20e9105831d195"><div class="ttname"><a href="../../d8/db6/class_action_attach_with_switch.html#abe3d5e6f94d66095fc20e9105831d195">ActionAttachWithSwitch::SetupAction</a></div><div class="ttdeci">override bool SetupAction(PlayerBase player, ActionTarget target, ItemBase item, out ActionData action_data, Param extra_data=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d41/_action_attach_with_swich_8c_source.html#l00031">ActionAttachWithSwich.c:31</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_attach_action_data_html"><div class="ttname"><a href="../../da/df2/class_attach_action_data.html">AttachActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/_action_attach_8c_source.html#l00001">ActionAttach.c:2</a></div></div>
<div class="ttc" id="aclass_attach_action_data_html_aa7673d52d41aef3acd5797c55cf4355a"><div class="ttname"><a href="../../da/df2/class_attach_action_data.html#aa7673d52d41aef3acd5797c55cf4355a">AttachActionData::m_AttSlot</a></div><div class="ttdeci">int m_AttSlot</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dd1/_action_attach_8c_source.html#l00003">ActionAttach.c:3</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_a844f213574a12ef6d95e269feeb35cef"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#a844f213574a12ef6d95e269feeb35cef">InventoryLocation::SetAttachment</a></div><div class="ttdeci">proto native void SetAttachment(notnull EntityAI parent, EntityAI e, int slotId)</div><div class="ttdoc">sets current inventory location type to Attachment with slot id set to &lt;slotId&gt;</div></div>
<div class="ttc" id="aclass_inventory_only_action_input_html"><div class="ttname"><a href="../../db/d70/class_inventory_only_action_input.html">InventoryOnlyActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00847">ActionInput.c:848</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../da/d41/_action_attach_with_swich_8c.html">ActionAttachWithSwich.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
